body {


    font-family: "Josefin Sans", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    overflow-x: hidden;

}


a {
    text-decoration: none;
    color: black;
}

a:hover {
    color: #01AB89;
}




p {
    padding: 0;
    margin: 0;
}

.navIcon {
    color: black;
    font-size: 1.8rem;
    padding: 0.4rem;
    border-radius: 7px;
}


.ctn {
    padding: 10px 25px;
    color: white;
    background-color: #00A991;
    border: none;

}

.con {
    background-color: #292929;
}

.ctn:hover {
    color: white;
    background-color: #024e3d;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    transition: all 0.6s;
    border: none;
}



.offcanvas,
.offcanvas-lg,
.offcanvas-md,
.offcanvas-sm,
.offcanvas-xl,
.offcanvas-xxl {
    --bs-offcanvas-width: 100%;
}


.sidebar {
    background: transparent;
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(20px);
}

@media (min-width: 767px) {

    /* lg breakpoint */
    .text-lg-black {
        color: black !important;
        /* Use !important to ensure it overrides text-white */
    }
}

@media (min-width: 576px) {

    .dropdown-menu {
        opacity: 0;
        width: 250px;
        border: none;
        box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    }








    .dropdown:hover .dropdown-menu {
        display: block;
        margin-top: 0;
        opacity: 1;
        transition: all 0.6s;
    }

    .dropdown:hover .dropdown-toggle::after {
        transform: rotate(180deg);
        transition: all 0.6s;
    }





    .underline-hover {
        position: relative;
        display: inline-block;
        text-decoration: none;


    }

    .underline-hover::after {
        content: '';
        position: absolute;
        left: 0;
        bottom: 0;
        height: 2px;
        width: 0;
        background-color: #01AB89;
        transition: width 0.3s ease;
    }

    .nav-item:hover .underline-hover::after,
    .dropdown:hover .underline-hover::after {
        width: 100%;
    }





}

.nav-link {
    padding-bottom: 0;
    color: white;
}



@media(max-width:767px) {

    .nav-link {
        margin-top: 15px;
        padding-bottom: 10px;
        padding-top: 10px;

        font-size: 1.2rem;
    }


    .nav-link {
        color: white !important;
    }

    .shooping-cart {
        margin-left: 11rem;
        margin-bottom: 5px;
    }


    .sm-btns {
        position: fixed;
        bottom: 0;
        left: 0;
        width: 100%;
        padding-bottom: 15px;
        padding-left: 15px;
        padding-right: 15px;
    }

    .con {
        width: 70%;
    }



    .color-change {
        color: white;
    }


    .c-c {
        color: white;
        color: #1B8755;
    }




    .whatsapp-link {
        text-decoration: none;
        display: flex;
        justify-content: center;
        padding: 4px 10px;
        background-color: #292929;
        width: 25%;
        display: inline-flex;
        /* prevents distortion */
    }


}



.dropdown-toggle::after {
    transition: all 0.6s;
    /* or your base position */
}






.dropdown-menu .dropdown-item:hover {
    background-color: #e5e5e5;
}

.dropdown-submenu {
    position: relative;
}

.dropdown-submenu .dropdown-menu {
    top: 0;
    left: 100%;
    margin-left: 0;
    margin-right: 0;
    display: none;
    position: absolute;
}

.dropdown-item {
    padding: 15px;
    font-size: 12px;
}

.navbar-toggler {
    padding: 0;
}

.close-btnn {
    background: none;
    border: none;
    color: white;
}

.cart-badge {
    width: 18px;
    height: 18px;
    border-radius: 50%;
    font-size: 11px;
    line-height: 18px;
    text-align: center;
    top: 0;
    left: 14px;
    position: absolute;
    z-index: 10;
    padding: 0;
}




h1 {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 700;



}






















/* hero section */
.margin-up {
    margin-top: 6rem;
    background-color: #f9f7f7;
}

.hero-btn {
    padding: 10px 20px;
    background-color: #00A991;
    border: none;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero-btn:hover {

    background-color: #024e3d;
}

/* Default sizes (desktop/tablet) */
.top-img {
    max-width: 140px;
}

.arrow-img {
    max-width: 100px;
}

.customer-img {
    max-width: 250px;
}

/* Mobile adjustment */
@media (max-width: 576px) {
    .top-img {
        max-width: 80px;
    }

    .arrow-img {
        max-width: 60px;
    }

    .customer-img {
        max-width: 80px;
    }

    .rotated-image {
        display: none;
    }
}

.rotated-image:hover {
    transition: 1s;
    transform: rotate(90deg);
}


.fst-1 {
    border-right: 1px solid #01AB89;
}

.fst-2 {
    border-right: 1px solid #01AB89;
}

.fst-3 {
    border-right: 1px solid #01AB89;
}








/* footer */
.foot-line {
    border-bottom: 1px solid #01AB89;
}

.icon {
    color: #01AB89;
}

footer {
    background: url(Asset/black-dotted-mapa-mundi-vector\ 1.png) fixed;
}